<template>
	<view class="content">
		<view class="login">
			<view class="editem">
				<view class="item">
					<view class="text">{{$t('titlePassword')}}</view>
					<view class="input">
						<input class="uni-input" v-model="password" :placeholder="$t('verifyPassword')" />
					</view>
				</view>
				<view class="item">
					<view class="text">{{$t('titleConfirmPassword')}}</view>
					<view class="input">
						<input class="uni-input" v-model="password2" :placeholder="$t('verifyPasswordTwo')" />
					</view>
				</view>
			</view>
			<view class="btnlogin" @click="handleTelLogin">{{$t('btnSubmit')}}</view>
		</view>
	</view>
</template>

<script>
	export default {
		data() {
			return {
				password: "",
				password2: "",
			}
		},
		onLoad() {
			let that = this
			uni.setNavigationBarTitle({
				title: that.$t('titlePasswordEdit')
			})
		},
		methods: {
			// 登录、
			handleTelLogin() {
				let that = this
				if (!that.password) {
					that.$tools.msg(that.$t('verifyPassword'))
					return
				}
				if (!that.password2) {
					that.$tools.msg(that.$t('verifyPasswordTwo'))
					return
				}
				if (that.password2 != that.password) {
					that.$tools.msg(that.$t('verifyPasswordCorrect'))
					return
				}
				that.$model.getAccountPassword({
					password: that.password,
					c_password: that.password2,
				}).then(res => {
					console.log("注册", res)
					if (res.code != 0) {
						that.$tools.msg(res.msg)
					} else {
						that.$tools.msg(that.$t('msgSetSuccess'))
						setTimeout(function() {
							uni.navigateBack()
						}, 1000)
					}
				}).catch(err => {})
			},
		}
	}
</script>

<style scoped lang="scss">
	.content {
		width: 100%;
		height: 100vh;
		background-color: #fff;
	}

	.login {
		width: calc(100% - 60rpx);
		height: auto;
		background: #fff;
		border-radius: 20rpx;
		padding: 30rpx;
		z-index: 99;

		.editem {
			position: relative;
			display: flex;
			align-items: center;
			font-size: 28rpx;
			justify-content: space-between;
			flex-wrap: wrap;


			.item {
				width: 100%;
				display: flex;
				align-items: center;
				justify-content: space-between;
				margin-bottom: 30rpx;

				.text {
					width: 80px;
					height: 80rpx;
					line-height: 80rpx;
					font-size: 32rpx;
				}

				.input {
					width: calc(100% - 100px);
					height: 35px;
					line-height: 35px;
					display: flex;
					position: relative;
					border: #dfdfdf 1px solid;
					border-radius: 5px;
					padding: 0 20rpx;
					background-color: #f7f7f7;
				}

				input {
					height: 80rpx;
					line-height: 80rpx;
					position: absolute;
					left: 20rpx;
					right: 0px;
					z-index: 88;
					font-size: 28rpx;
				}
			}
		}

		.btnlogin {
			width: 100%;
			margin: 30rpx 0;
			height: 42px;
			line-height: 42px;
			background: $btncolor;
			font-weight: 700;
			border-radius: 30rpx;
			text-align: center;
			color: #fff !important;
		}
	}
</style>